import java.io.*;
import java.util.Date;

public abstract class Transaction
{
   private Date date;
   private int  value;

   public Transaction( Date date, int value )
   {
      this.date  = date;
      this.value = value;
   }

   public    abstract int    execute( int balance );
   protected abstract String printType();

   public void print()
   {
      System.out.print( date        + " "  +
                        printType() + " $" +
                        value/100   + "."  + value%100 );
   }

   protected Date date()
   {
      return date;
   }

   protected int value()
   {
      return value;
   }
}
