import java.io.*;
import java.util.Date;
import java.util.Enumeration;
import java.util.Vector;

class FilterBankAccount extends BankAccount
{
   public FilterBankAccount()
   {
      super();
   }

   public Vector largeTransactions( int threshold )
   {
      Enumeration myTransactions = transactions();
      Vector      subset         = new Vector();

      while ( myTransactions.hasMoreElements() )
      {
         Transaction t = (Transaction) myTransactions.nextElement();

         if ( t.value() > threshold )
            subset.addElement( t );
      }

      return subset;
   }
}
