import java.io.*;
import java.util.Date;
import java.util.Vector;

public class BankAccount
{
   private Vector transactions;

   public BankAccount()
   {
      transactions = new Vector( 10 );
   }

   public void add( Transaction t )
   {
      transactions.addElement( t );
   }

   public int balance()
   {
      int currentBalance = 0;
      for (int i = 0; i < transactions.size(); i++)
      {
          Transaction t = (Transaction) transactions.elementAt( i );
          currentBalance = t.execute( currentBalance );
      }
      return currentBalance;
   }

   public void print()
   {
      int currentBalance = 0;
      for (int i = 0; i < transactions.size(); i++)
      {
          Transaction t = (Transaction) transactions.elementAt( i );
          currentBalance = t.execute( currentBalance );

          t.print();
          System.out.println();
          System.out.println( "     Balance = $" +
                              currentBalance/100 +
                              "."                +
                              currentBalance%100 );
      }
   }

   protected Vector transactions()
   {
      return transactions;
   }
}
